Subject: RE: SML-NJ for CygWin32
From: [email-masked] (Gary Fuehrer)

10 Sep 1997 05:12:30 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <6CC63E2E4FC1D011A2A700609716117A266F25.cygnus.gnu-win32@seawolf>
Mime-Version: 1.0
Content-Type: text/plain
Original-To: "[email-masked]'" <[email-masked]>
X-Priority: 3
X-Mailer: Internet Mail Service (5.0.1458.49)
Original-Sender: [email-masked]

> Hi Andrew,
> 
> Here are my instructions and patches for building SML-NJ version
> 109.30 under cygwin32 (NT only; can't work with win95).  Please get
> the SML-NJ distribution from:
> 	ftp://ftp.research.bell-labs.com/dist/smlnj/working/109.30
> The howto.txt file attachment in this e-mail indicates which files you
> need from that distribution.
> 
> If you manage to get CygWin32 setup and SML-NJ built and working, then
> you will experience one bug when using sml (or sml-cm) interactively.
> When an error is reported to the console, the sml-nj "-" prompt
> doesn't return like it should.  When this happens, type "<Ctrl>-Z
> <Enter>" and the prompt will return.  I'm certain the bug is in
> CygWin32 and not in SML-NJ.  I also suspect there's already a patch
> that fixes it.
> 
> I haven't tried to use Isabelle yet.  I might mention that I did port
> Pollack's LEGO to SML-NJ 109.28 for Win32.  The UNIXisms that I
> encountered in doing that port were UNIX paths and the use of symbolic
> links in the LEGO library.  I don't suppose those are the UNIXisms
> you're referring to, are they?  Anyway, the reason I did the port of
> SML-NJ 109.30 to CygWin32 was so that the POSIX stuff would be
> available in the basis library.  Even though there are a few POSIX
> functions in the basis that couldn't be implemented with the beta18
> version of CygWin32, I think it is highly unlikely that you will need
> what is missing or doesn't work.  To get an idea of what POSIX
> functions in the basis I left as unimplemented stubs, take a look at
> the "cygwin-missing.c" file in the attached 109.30-cygwin.tar.gz.
> Unfortunately, I don't know what CygWin32 functions are not working as
> advertised.
> 
> By the way, I've been curious about Isabelle it since I read some of
> Larry Paulson's papers and books about it.  From where can I download
> a copy of the code?  It sounds like you have a port for SML'97.  I
> imagined that Isabelle was still an SML'90 code.
> 
> Feel free to contact me directly with questions concerning my patches
> and instructions.  No reason to go through the gnu-win32 mailing list
> with your problems.
> 
> Gary
> 
> 
	<< Attachments not included for gnu-win32 mailing list >>

> ----------
> From: 	Andrew Stevens[SMTP:[email-masked]]
> Sent: 	Tuesday, September 09, 1997 3:42 AM
> To: 	Gary Fuehrer
> Subject: 	Re: SML-NJ for CygWin32
> 
> Gary,
> 
> Do you have your SML-NJ port available anyplace?
> I currently use the Win32 version to run Isabelle
> but a that involves some semi-unsatisfactory hackery in an
> emulation layer to deal with subtle UNIXisms in the Isabelle source.
> 
> I'd be glad to feedback any results I get running Isabelle
> under your port.
> 
> 
> 	Andrew
> 
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".